System Requirements

Source: This article refers to System Requirements


Last Updated: 25 October 2017

Field Service Managment Apps

Hardware Requirements

  Minimum Recommended
Processor Windows: x86 or x64, Mac: Intel Core 2 Duo 2.0GHz 3rd Generation Intel i5/i7 Desktop CPU
Memory (dedicated RAM) 4GB 8GB
Hard Disk S-ATA with at least 4GB free storage SSD with at least 8GB free storage
Monitor Resolution 1024x768 1920x1200

Supported Operating Systems

  • Microsoft Windows 10 (recommended)
  • Microsoft Windows 8.1
  • Microsoft Windows 7
  • Apple OS X 10.11 “El Capitan” (recommended)
  • Apple OS X 10.10 “Yosemite”
  • Apple OS X 10.9 “Mavericks”
Note It is required that the operating system has the most recent service packs installed.

Supported Browsers

  • Google Chrome 51 (recommended)
  • Google Chrome 50
  • Mozilla Firefox 47
  • Mozilla Firefox 46

Internet Connection

Minimum Recommended
2024 kbit/s 5120 kbit/s recommended

Field Service Mobile


Android


Coresystems' Mobile Field Service App on Android will from time-to-time be flagged as having a "low" or "poor" reputation by third-party Mobile App Reputation Services. The calculated reputation is usually built on logic such as the number of installations for an app as well as functional factors such as the how deeply the App accesses a device. As the Mobile Field Service App is a serious business application which means that it is not installed on as many devices and requires deeper access than, for example, a game app.

Please be assured that Coresystems understands that the app is a critical part of the success of your business and therefore goes to great lengths to ensure that the app is by no means comparable with malware and that the features on Android are the same as those which are checked at code-level by Apple as part of the iOS App Approval process. Given the multitude of Mobile App Reputation Services, we abstain from paying fees to be placed on their whitelists in the interests of keeping costs down.


System Requirements

Minimum Hardware Requirements


Minimum Recommended
Available Empty Storage 8 GB 32 GB
RAM Memory 1 GB 3 GB
Processor 1.6 GHz 2.0 GHz
Bar code scanner / card reader Any bar code scanner and card readers that can be connected and which works as keyboard (check the specifications of the relevant device for more information).

Software Requirements

  • Operating System: Android 5 or higher (version 8 recommended)

Data Requirements

If your system exceeds these numbers, please contact support for further clarifications.

Maximum Recommended
Database Size Downloaded database on your device should not be bigger than 600 MB 400 MB
Number of Objects For a reasonable and user friendly experience we recommend that each list have a maximum number of 20,000 objects (e.g. 20,000 service calls, 20,000 business partners, 20,000 contacts, etc). 10,000 objects (10,000 service calls, 10,000 business partners, 10,000 contacts, etc.)

Other Requirements

  • Internet connection: Working data connection to the internet.

iOS


Minimum Hardware Requirements

Mobile Devices(1)
  • 5, 5C, 5S, 6, 6 Plus, 6S, 6S Plus, SE
  • iPad 3, 4, iPad Air, iPad Air 2
  • iPad mini 2, iPad mini 3, iPad mini 4
Printer Any AirPrint-enabled printer. For more information on AirPrint, please see: http://support.apple.com/kb/ht4356.
Bar Code Scanner/Reader Any bar code scanner and card readers that can be connected to the iPhone, iPad or iPod touch and which works as keyboard (check the specifications of the relevant device for more information).
Bar Codes These are the supported barcode types:
  • EAN-13/UPC-A
  • EAN-8
  • Code 39 (aka Alpha39, Code 3 of 9, Code 3/9, Type 39, USS Code 39, or USD-3)
  • Code 93
  • Code 128 (aka UCC/EAN-128)
  • Codabar
  • DataBar (RSS)
  • Interleaved 2 of 5
  • QR Code

Software Requirements

  • Operating System: iOS10, iOS11

Data Requirements

If your system exceeds these numbers, please contact support for further clarifications.

Maximum Recommended
Database Size Downloaded database on your device should not be bigger than 600 MB 400 MB
Number of Objects For a reasonable and user friendly experience we recommend that each list have a maximum number of 20,000 objects (e.g. 20,000 service calls, 20,000 business partners, 20,000 contacts, etc). 10,000 objects (10,000 service calls, 10,000 business partners, 10,000 contacts, etc.)

Other Requirements

  • Internet connection: Working data connection to the internet

(1) The mobile device must support the below listed operating systems and must run one of them.

Notes

  • Note about iOS4: iOS4 is only fully supported until Coresystems Field Service mobile version 2.3.6.
  • Note about iOS5: With release 2.4 of Coresystems Field Service mobile for iOS, coresystems stopped supporting devices running on iOS5.
  • Note about iOS6: With release 2.7 of Coresystems Field Service mobile for iOS, coresystems stopped supporting devices running on iOS6.
  • Note about iOS8: With release 5.01 of Coresystems Field Service mobile for iOS, coresystems stopped supporting devices running on iOS8.

Windows


Minimum Hardware Requirements

Minimal Recommended
Processor Windows: x86 or x64 2GHz 3rd Generation Intel i5/i7 Desktop CPU
Memory (RAM) 4GB 8GB
Hard disk S-ATA with at least 4GB free storage SSD with at least 8GB free storage (with an SSD, the performance of the software can be increased up to 4 times)
Resolution 1024x768 1920x1200

Software Requirements

Supported Operating Systems
  • Windows Server 2016
  • Windows 10
  • Windows 8.1
  • Windows 8
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows 7
  • Windows 7 SP1
  • Windows Server 2008 SP2
  • Windows Server 2008 R2 SP1
  • Windows Vista SP2
  • Windows Server 2003 SP2
Attention: Windows RT and Windows Mobile are NOT supported.

Other Requirements

  • Internet Connection: 5120kbit/s (recommended)

Requirements for SAP B1 Cloud Connector

Attention Before you install the Coresystems.com cloud connector, make sure that your system meets the software and hardware requirements for SAP Business One. For more information go to https://partneredge.sap.com.

Minimum Hardware Requirements

It is recommended to install the cloud connector on a server, e.g. SQL server for SAP Business One.

  Minimum Recommended
Processor Dual core desktop processor  
Memory (RAM) 4GB available 8GB
Hard Disk 7200rpm spindle disk SSD
Hard Disk Space 5GB available 10GB
Internet connection 5mbps 50mbps

Software requirements

Operating system See Supported SBO Patch Levels section below
Runtime Microsoft® .Net Framework 4.5.1
SQL Server See Supported SBO Patch Levels section below
SAP Business One See Supported SBO Patch Levels section below
Coresuite Time If you record efforts, expenses, mileages, material or working time on mobile devices or on the Coresystems Windows Mobile client you need at least one Coresuite time license in SAP Business One.

Internet Connection

Minimum Recommended
2024kbit/s 5120kbit/s recommended
Attention: SAP allows own code to be added to the SBO_SP_TransactionNotification and SBO_SP_PostTransactionNotice Stored Procedures.

Please note that adding and/or modifying own code in either Stored Procedure can have a negative impact on the Coresystems.com cloud connector (synchronization issues or blocking of the SAP Business One DI API). We therefore suggest that you verify any changes with coresystems in advance (chargeable service).


SBO Patch Levels

Please check the following list before you set up or upgrade any customer system. SAP Business One patch levels need to be tested before they can be released for Coresystems products. Therefore, they might be released with a delay.

Each official SAP Business One Patch level will then be listed either under “Supported Patch levels for Coresystems add-ons” or under “Unsupported Patch Levels in connection with the Coresystems add-ons”.

In general, these system requirements will be updated within one week of any official SAP Business One Patch level release.


Supported SBO Patch Levels

SQL  
SAP Business One 9.2 (1)(2)(5)(6) PL02, PL03, PL04, PL05, PL06, PL07, PL08, PL09
HANA  
SAP Business One 9.2 (1)(2)(3)(4)(5)(6) PL02, PL03, PL04, PL05, PL06, PL07, PL08, PL09
  • (1) Only supported with Coresystems installer 5.00 or higher.
  • (2)Please refer to the following FAQ before you upgrade to/install 9.2
  • (3) Please refer to the following FAQ before you upgrade to SAP Business One 9.1 PL09 (HANA) or higher.
  • (4) For additional information please refer to the FAQ entry Using coresuite products with SAP Business One, version for SAP HANA (B1H)
  • (5) Please note that we only support Windows 10 with Coresystems framework min. version 5.10
  • (6) Please note that we only support Browser Access with coresuite installer 5.25 or higher.

Unsupported SBO Patch Levels

SQL  
SAP Business One 9.2 No unsupported patch levels.
HANA  
SAP Business One 9.2 No unsupported patch levels.

SAP Business One Hotfixes

SAP Business One Hotfixes are not officially supported for Coresystems products, meaning we might not test those explicitly. However, if you do need to use an SAP Business One Hotfix, you can do so at your own discretion.


SAP All-in-One Connector

System requirements for SAP ECC

  • SAP ECC Release 6.0 SP 19 or higher
  • SAP NetWeaver 7.0 SP 14 or higher
  • Web Services on SAP are active and accessible
  • SAP technical user for Web Service
  • SAP user with development and transport authorization
  • For user-defined fields and enhancements: SAP user with developer key

Message Broker System Requirements

Windows Server

Any Windows Server with .NET 4.0 framework

RAM

At least 256MB available

HDD

The program itself requires minimal disk space. However, the log files can grow big quickly and take several gigabytes. This is why we recommend you have 50GB free space. Log files retention policy should be considered and implemented to keep the HDD requirements lower.

Remote access

Installation and administration of the Message Broker requires a (remote or physical) access to the machine, with administrative rights (necessary to install/update program binaries and start/stop windows service).

Network Connectivity

The following firewall ports have to be opened in order to make E4C work:

SAP ECC --> Message Broker host

One port has to be opened, the port number is easily configurable and it depends on the configuration of the Message Broker web service.

Message Broker --> SAP ECC host

One port has to be opened; the port number depends on the SAP internet Communication Manager configuration. The default is (8000 + SAP system number).

Message Broker --> Coresystems cloud host (intranet --> internet)

Currently, two ports need to be opened: 443 and 9443; both for HTTPS communication.

Attention: that, although E4C handles bidirectional communication, from the point of view of the network connectivity, all connections between E4C and Coresystems cloud are outgoing connections. This is why no inbound connections/ports (from internet to intranet) on the firewall need to be opened to enable receiving inbound messages.

Microsoft Dynamics NAV Cloud Connector

Attention: Before you install this connector, make sure that your system meets the software and hardware requirements for Microsoft Dynamics NAV. For more information, refer to the following.

Hardware and Software Requirements

The Coresystems cloud connector for Microsoft Dynamics NAV is built on the Mobility Studio of To-Increase. The hardware and software requirements have to meet the requirements for the Mobility Studio. For further information visit .

Other Requirements

Stable Internet connection 5120kbit/sec (faster connection recommended)

Coresuite Framework and Country Package

1 Before you install Coresuite Country Package, make sure that your system meets the software and hardware requirements for SAP Business One. For more information, please visit Partner Edge. Some modules may have different requirements than the ones listed below. Please refer to the relevant section.
2 When installing coresuite country package for the first time in your environment, ensure that you use the latest available installer. Ensure that you always run the most recent version of each module. To do so, go to the Coresystems Help Desk and select the relevant SAP Business One patch level.
3 Before you install coresuite country package on Citrix environments, make sure that your system meets the following requirements.
4 Windows users need full permissions for the SAP Business One add-on directory on the relevant PC/workstation, and read/write permissions on the SBO_SHR directory on the server.
5 Vista and later Windows versions use UAC (User Account Control). Adding the permissions above described to each Windows user account is not enough for those permissions to be actually available. Especially for module updates, SAP Business One needs to be run explicitly as Administrator (via right-click on the SAP Business One icon) to take effect. For additional information, please refer to the following.
6 The database authentication account for Microsoft SQL/SAP HANA must have full permissions to create/update databases.
7 Remember to apply the settings as per SAP Note “1135705 - Logon to Business One is slow for end users if several network cards installed” to avoid slow startup of SAP Business One and consequently coresuite. This SAP Note is now also mentioned in the “Administrator’s Guide for SAP Business One 9.1 on MS SQL”.

Minimum Hardware Requirements*

Processor Intel Core i3 (or similar)
Memory (RAM) Up to 500MB per coresuite user
Hard disk 1GB available for coresuite
Resolution 1024x768 (ensure that you do not use Windows DPI setting >100%)
Printer .Net-supported printers
Internet connection recommended (for automatic updates)
  • Hardware requirements as outlined at Partner Edge take precedence.

Software Requirements

Operating system Client and Server Platform as outlined in detail on https://partneredge.sap.com.
Runtime Microsoft® .Net Framework 4.0 (for country package versions 3.90 or higher)(1); Microsoft® Access Database Engine 2012 Redistributable (Download link: http://www.microsoft.com/en-us/download/details.aspx?id=13255)
SQL Database Platform see https://partneredge.sap.com(2)
HANA Please refer to the respective patch level SAP overview note.
SAP Business One 9.2 (please refer to Supported/Unsupported SBO patch levels)
Dashboards Adobe Shockwave Flash Player (latest available version)
  • Software requirements as outlined on https://partneredge.sap.com take precedence.
  • (1) The Client Profile is not sufficient. The full .NET Framework must be installed.
  • (2) Microsoft® SQL Server 2014 is only supported as of SAP Business One 9.1 PL04 together with coresuite country package installer 4.62 or higher.

Procedure for SAP Business One upgrades

Please refer to our FAQ: “coresuite onPremise products, Upgrade/Installation for SAP Business One 9.1”.

Procedure for coresuite module updates

Make sure each SAP Business One client application in your environment is at least started once explicitly as Administrator (via right-click on the SAP Business One icon > Run as Administrator) to complete module updates successfully.

Attention: If the update is not performed correctly, the following issue will occur.

Coresuite Cube

Software Requirements

SAP Business One Supported SBO patch levels are listed here.
Operating System Windows Server 2003, Windows Server 2008, Windows Server 2012
SQL Server
  • Microsoft SQL Server 2008 Standard Edition SP2 or higher
  • Analysis Services 2008 SP2 Standard Edition or higher
  • Reporting Services 2008 SP2 or higher for Reporting Services reports
Microsoft Excel Microsoft Excel 2007 or higher for Excel reports
coresuite modules For the coresuite finance cube: coresuite country package with the current version of the coresuite accounting and coresuite designer modules, which must be installed for at least one user.
Note: Before installing the cube, you must also make sure that your system meets the following requirements. Reported support issues caused by not adhering to those guidelines will be charged.

Multi-Cube installations based on SAP Business One localizations with segmented accounts are supported from SAP Business One 8.82 PL08.

Coresuite eCommerce

Attention Please make sure that your system meets the software and hardware requirements for SAP Business One. For more information go to https://partneredge.sap.com and see Supported/Unsupported SBO patch levels.

In addition, check www.epages.de and/or contact the support team.

Software Requirements

ePages

  • License key extension for Web Services required.
  • Version 2.30: ePages version 6.16.0 or higher (compatible with SAP Business One 9.1).(1)

(1)Previously supported version combinations (no longer supported!) SAP Business One version 9.0 and earlier:

  • Version 2.0.6: ePages version 5.04 PL12 and later
  • Version 2.10: ePages version 6.13.1 and later

Magneto

  • Magento COMMUNITY-EDITION 1.9.1.0-patch2
  • ionCube PHP Loader v4.5.0
  • OAuth 1.2.3
  • Extension “magentoconnector”

Other Requirements

  • The coresuite framework must be installed.
  • coresuite eCommerce must be installed on the server where Microsoft SQL Server is installed.
  • The 32-bit edition of both the SAP Business One client application and DI-API must also be installed on the server where Microsoft SQL Server is installed.
  • You need an SAP Business One licence to use the eCommerce service (e.g. Limited CRM User, Add-on Access User are sufficient)
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

0 comments

Article is closed for comments.